Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Enumerations | Functions
msg_client_hello.cpp File Reference
`#include <botan/tls_messages.h>`
`#include <botan/tls_alert.h>`
`#include <botan/tls_exceptn.h>`
`#include <botan/internal/tls_reader.h>`
`#include <botan/internal/tls_session_key.h>`
`#include <botan/internal/tls_handshake_io.h>`
`#include <botan/internal/tls_handshake_hash.h>`
`#include <botan/internal/stl_util.h>`
`#include <chrono>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::TLS

## Enumerations
enum | { Botan::TLS::TLS_EMPTY_RENEGOTIATION_INFO_SCSV = 0x00FF, Botan::TLS::TLS_FALLBACK_SCSV = 0x5600 }

## Functions
std::vector< uint8_t > | Botan::TLS::make_hello_random (RandomNumberGenerator &rng, const Policy &policy)